Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 457512

Summary: net-mail/fetchmail does not respect AR
Product: Gentoo Linux Reporter: Agostino Sarubbo <ago>
Component: New packagesAssignee: Net-Mail Packages <net-mail>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 243502    
Attachments: patch for fetchmail-6.3.24.ebuild to call emake AR="$(tc-getAR)" in src_compile

Description Agostino Sarubbo gentoo-dev 2013-02-14 11:47:56 UTC
You receive this bug because this package does not respect my system's AR ( x86_64-pc-linux-gnu-ar - /usr/bin/x86_64-pc-linux-gnu-ar ) and calls directly ar - /usr/bin/ar
The possible solutions to fix this issue are:
1)Fix the buildsystem, if you can
2)inherit toolchain-funcs and use tc-export AR
3)inherit toolchain-funcs and use emake AR="$(tc-getAR)"


ar cru libfm.a xmalloc.o base64.o rfc822.o report.o rfc2047e.o servport.o smbdes.o smbencrypt.o smbmd4.o smbutil.o gethostbyname.o fm_getaddrinfo.o tls.o rfc822valid.o 
sdump.o x509_name_match.o md5c.o ntlmsubr.o
Comment 1 Michael Mair-Keimberger (iamnr3) 2013-03-07 17:50:34 UTC
Created attachment 341248 [details, diff]
patch for fetchmail-6.3.24.ebuild to call emake AR="$(tc-getAR)" in src_compile

I've updated the ebuild so that src_compile call emake with AR="$(tc-getAR)". This fixes calling ar directly for me.
Comment 2 Tim Harder gentoo-dev 2013-05-26 09:44:20 UTC
Fixed in CVS.